const X_MSG = 	   "Install Force Content-Type";
const X_NAME =     "forcect";
const X_VER  =     "0.3.1";
const X_JAR_FILE = "forcect.jar";

const X_SERVICE =   "forcectService.js"
const X_SERVICE_XPT="forcectService.xpt"

const X_CHROME =   "chrome";
const X_CONTENT =  "content/";
const X_SKIN = 	   "skin/";
const X_COMPONENTS="components";
const X_LOCALE1 =  "locale/en-US/forcect/";

var err = initInstall(X_MSG, X_NAME, X_VER);
logComment("initInstall: " + err);
logComment("Installation started...");

resetError();
addFile(X_NAME, X_JAR_FILE, getFolder(X_CHROME), "");
addFile(X_NAME, X_SERVICE, getFolder(X_COMPONENTS), "");
addFile(X_NAME, X_SERVICE_XPT, getFolder(X_COMPONENTS), "");

err = getLastError();
if (err == SUCCESS || err == REBOOT_NEEDED) {
    registerChrome(DELAYED_CHROME | CONTENT, getFolder(X_CHROME, X_JAR_FILE), X_CONTENT);
//  registerChrome(DELAYED_CHROME | SKIN, getFolder(X_CHROME, X_JAR_FILE), X_SKIN);
    registerChrome(DELAYED_CHROME | LOCALE, getFolder(X_CHROME, X_JAR_FILE), X_LOCALE1);
}
err = getLastError();
if (err == SUCCESS || err == REBOOT_NEEDED) {
    performInstall();
    err = getLastError();
    if (err == SUCCESS || err == REBOOT_NEEDED) {
        alert("Please restart mozilla");
    } else {
        // Nothing to do, Mozilla will display an error message himself
    }
} else {
    cancelInstall(err);
    if (err == ACCESS_DENIED) {
        alert("You need to have write permissions to the chrome directory:\n" + 
              getFolder(X_CHROME) + " and to the components directory:\n" +
              getFolder(X_COMPONENTS));
    } else if (err == USER_CANCELLED) {
        alert("Installation cancelled by user");
    } else {
        alert("An unknown error occured.  Error code: " + err + "\n" + 
              "Look at the following URL for a description of the error code:\n" +
              "http://developer.netscape.com/docs/manuals/xpinstall/err.html");
    }
}

